summaryrefslogtreecommitdiffstats
path: root/system/sash/sash.SlackBuild
diff options
context:
space:
mode:
author Menno E. Duursma <druiloor@zonnet.nl>2010-05-11 20:02:07 +0200
committer Robby Workman <rworkman@slackbuilds.org>2010-05-11 20:02:07 +0200
commit081ad402b49a5419eb3072aad0bfde95ebb6d988 (patch)
treed9c785d718b9c684b0c5cafcfefce3fd0df734a6 /system/sash/sash.SlackBuild
parent0b8cef7f93558e77d9474e7b79635be1a9e24cec (diff)
downloadslackbuilds-081ad402b49a5419eb3072aad0bfde95ebb6d988.tar.gz
slackbuilds-081ad402b49a5419eb3072aad0bfde95ebb6d988.tar.xz
system/sash: Added to 12.0 repository
Diffstat (limited to 'system/sash/sash.SlackBuild')
-rw-r--r--system/sash/sash.SlackBuild75
1 files changed, 75 insertions, 0 deletions
diff --git a/system/sash/sash.SlackBuild b/system/sash/sash.SlackBuild
new file mode 100644
index 0000000000..64acbb690d
--- /dev/null
+++ b/system/sash/sash.SlackBuild
@@ -0,0 +1,75 @@
+#!/bin/sh
+
+# Slackware build script for the stand alone shell (sash)
+
+# Written by Menno E. Duursma <druiloor@zonnet.nl>
+# Modified by Robby Workman of the SlackBuilds.org project
+
+# Exit on most errors
+set -e
+
+PRGNAM=sash
+VERSION=3.7
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar -xzvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+# The 'sash-plus-patches' patch adds support for _very_ usefull features
+# like env var expention and the 'chroot' command:
+# http://www.baiti.net/sash/
+patch -p1 --verbose < $CWD/sash-plus-patches-3.7
+
+# Apply the appropriate CFLAGS to the Makefile
+if [ "$ARCH" = "i486" ]; then
+ patch -p1 --verbose < $CWD/sash-3.7-CFLAGS_i486.patch
+elif [ "$ARCH" = "i686" ]; then
+ patch -p1 --verbose < $CWD/sash-3.7-CFLAGS_i686.patch
+fi
+
+# Let's make this thing support DESTDIR
+patch -p1 --verbose < $CWD/sash-3.7-DESTDIR.patch
+
+# Fix an include line in cmd_chattr.c
+patch -p1 --verbose < $CWD/sash-3.7-cmd_chattr.c.patch
+
+# Create target dirs
+mkdir -p $PKG/bin
+mkdir -p $PKG/usr/man/man1
+
+# Compile the application and install it into the $PKG directory
+make
+make install DESTDIR=$PKG
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
+
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in $(find . -type l) ; do ln -s $(readlink $i).gz $i.gz ; rm $i ; done
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a CHANGES README $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz